Page MenuHomePhabricator

Implement Repo/Project Herald rules to provide a middle ground between personal and global rules
Closed, ResolvedPublic

Description

A couple of users have compelling use cases for rules which are more powerful than personal rules, but less powerful than global rules. For now, we can bind Commit and Hook rules to repositories:

  • rules fire only for the corresponding repository;
  • rules have the same edit policies as the repository.

This solves most of the policy and product questions associated with the power of Global rules.

A downside is the case where you have 30 similar repositories. We can solve that by letting you associate all rules with a Project, and firing Project rules on any object in that Project. This depends on T2628.

Then, for example, you can put the 30 similar repositories in a "Chef Repos" project, and write Hook rules against "Chef Repos".

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

epriestley claimed this task.
epriestley raised the priority of this task from to Normal.
epriestley updated the task description. (Show Details)
epriestley edited this Maniphest Task.Dec 26 2013, 10:55 PM
epriestley edited this Maniphest Task.Dec 27 2013, 6:00 PM
epriestley edited this Maniphest Task.Dec 27 2013, 6:45 PM
epriestley edited this Maniphest Task.Dec 27 2013, 7:35 PM
epriestley edited this Maniphest Task.Dec 27 2013, 9:16 PM
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.Dec 30 2013, 7:50 PM
epriestley edited this Maniphest Task.Dec 30 2013, 8:45 PM
epriestley edited this Maniphest Task.Dec 31 2013, 12:48 AM
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.Jan 3 2014, 1:19 AM
epriestley edited this Maniphest Task.Jan 3 2014, 5:21 PM
epriestley edited this Maniphest Task.Jan 3 2014, 5:35 PM
epriestley edited this Maniphest Task.Jan 3 2014, 8:24 PM
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley closed this task as Resolved.Jan 3 2014, 8:24 PM

Closed by commit rP2cfc3acf3234.